org.eclipse.jetty.server.session

## Class JDBCSessionManager.Session

- java.lang.Object
- - org.eclipse.jetty.server.session.AbstractSession
  - - org.eclipse.jetty.server.session.JDBCSessionManager.Session

All Implemented Interfaces:
  javax.servlet.http.HttpSession, AbstractSessionManager.SessionIf

Enclosing class:
  JDBCSessionManager

    public class JDBCSessionManager.Session
    extends AbstractSession

Session Session instance in memory of this node.

### Constructor Summary

Constructors
`protected` `JDBCSessionManager.Session(javax.servlet.http.HttpServletRequest request)` Session from a request.
`protected` `JDBCSessionManager.Session(long accessed, JDBCSessionManager.SessionData data)` Session restored in database.

### Method Summary

Methods
`protected boolean` `access(long time)` Entry to session.
`protected void` `complete()` Exit from session
`protected void` `cookieSet()`
`void` `removeAttribute(String name)`
`void` `setAttribute(String name, Object value)`
`protected void` `timeout()`

### Methods inherited from class org.eclipse.jetty.server.session.AbstractSession

`addAttributes, bindValue, checkValid, clearAttributes, didActivate, doGet, doInvalidate, doPutOrRemove, getAccessed, getAttribute, getAttributeMap, getAttributeNames, getAttributes, getClusterId, getCookieSetTime, getCreationTime, getId, getLastAccessedTime, getMaxInactiveInterval, getNames, getNodeId, getRequests, getServletContext, getSession, getSessionContext, getValue, getValueNames, invalidate, isIdChanged, isNew, isValid, putValue, removeValue, setIdChanged, setMaxInactiveInterval, setRequests, toString, unbindValue, willPassivate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JDBCSessionManager.Session

    protected JDBCSessionManager.Session(javax.servlet.http.HttpServletRequest request)

Session from a request.

Parameters:
  `request` -

#### JDBCSessionManager.Session

    protected JDBCSessionManager.Session(long accessed,
                              JDBCSessionManager.SessionData data)

Session restored in database.

Parameters:
  `data` -

### Method Detail

#### setAttribute

    public void setAttribute(String name,
                    Object value)

Specified by:
  `setAttribute` in interface `javax.servlet.http.HttpSession`
Overrides:
  `setAttribute` in class `AbstractSession`

#### removeAttribute

    public void removeAttribute(String name)

Specified by:
  `removeAttribute` in interface `javax.servlet.http.HttpSession`
Overrides:
  `removeAttribute` in class `AbstractSession`

#### cookieSet

    protected void cookieSet()

Overrides:
  `cookieSet` in class `AbstractSession`

#### access

    protected boolean access(long time)

Entry to session. Called by SessionHandler on inbound request and the session already exists in this node's memory.

Overrides:
  `access` in class `AbstractSession`
See Also:
  `AbstractSession.access(long)`

#### complete

    protected void complete()

Exit from session

Overrides:
  `complete` in class `AbstractSession`
See Also:
  `AbstractSession.complete()`

#### timeout

    protected void timeout()
                    throws IllegalStateException

Overrides:
  `timeout` in class `AbstractSession`
Throws:
  `IllegalStateException`